import 'dart:convert';

import 'package:marianum_mobile/api/webuntis/apiResponse.dart';
import 'package:marianum_mobile/api/webuntis/webuntisApi.dart';

import 'getHolidaysResponse.dart';

class GetHolidays extends WebuntisApi {
  GetHolidays() : super("getHolidays", null);

  @override
  Future<GetHolidaysResponse> run() async {
    String rawAnswer = await query(this);
    return finalize(GetHolidaysResponse.fromJson(jsonDecode(rawAnswer)));
  }

}